Join Space
curl --request POST \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/joinimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/join"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"membership": {
"id": "<string>",
"spaceId": "<string>",
"userId": "<string>",
"role": "<string>",
"status": "<string>",
"joinedAt": "<string>"
}
}Space — Membership
Join Space
Join a space or submit a membership request
POST
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
join
Join Space
Joins a space. If the space has
See also: useJoinSpace
requireJoinApproval: true, the membership is created with status: "pending" until approved. Otherwise it is immediately active.
Path Parameters
UUID of the space to join.
Response
Confirmation message.
Error Responses
Space Not Found — 404
Space Not Found — 404
{ "error": "Space not found.", "code": "space/not-found" }
Banned — 403
Banned — 403
{ "error": "You are banned from this space.", "code": "space/banned" }
Already a Member — 409
Already a Member — 409
{ "error": "You are already a member of this space.", "code": "space/already-member" }
⌘I

